From 9bc1e2eabe89a25287757ded84ffe7c39dc5b5b6 Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Dec 04 2023 21:15:46 +0000
Subject: [PATCH 1/19] libre/iceweasel: 120.0.parabola1


Update python-zstandard patch, tested it works.

---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index c05b2ab..9c50605 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -70,10 +70,10 @@
 
 pkgname=iceweasel
 epoch=1
-pkgver=119.0.1
+pkgver=120.0
 pkgrel=1
 pkgrel+=.parabola1
-_brandingver=119.0
+_brandingver=120.0
 _brandingrel=1
 pkgdesc="Standalone web browser derived from Mozilla Firefox"
 url=https://wiki.parabola.nu/Iceweasel
@@ -164,7 +164,7 @@ source+=(
   9004-FSDG-misc.patch
   process-json-files.py
   vendor.js.in
-  zstandard-0.21.0.diff
+  zstandard-0.22.0.diff
 )
 source_i686=(
   avoid-libxul-OOM-python-check.patch
@@ -184,37 +184,37 @@ validpgpkeys+=(
 )
 
 
-sha256sums=('48cc43cab060e97467e9a17617f511a177e7b91b7e77e408425351a2cbb07f70'
+sha256sums=('e710058701074eda53ca9f5fd52c57254858a027984f735bdcd58d6906f6b574'
             'SKIP'
             '9cdc2602661717712092d28bb494e5b48e518cb930898aca85eaf21f91f7ef58') # $pkgname.desktop
                                                                                 # identity-icons-brand.svg
-sha256sums+=('6af335bf59b5d5147e4883154d623826b57cbc3d9e41770a334ae2afe772ba6e'  # *.branding.tar.xz
+sha256sums+=('3fc4fcc7f471a831b2e00e3b8698b382fd6d0d0cbfc55b20ff73364be2ee5b96'  # *.branding.tar.xz
              'SKIP'
-             'b01209c5462237dff3ff7788e7bfedad7a327d9d2759dd65c77cfb71667f2fbd'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
-             '65d9a18b9b2b3f1034b427af486c82416c360c0e9254ada42d81ff2b7132b1ca'  # 9002-FSDG-preference-defaults.patch
+             '4ff07eff69343e50357c9bb571dfa6a702efb3a7915ce8ca8dcb42ee18446aac'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+             '77ce3e4de9b4bb280a6766cea61b0fbd81f0f946aa115bfe7bf24eca370e1d17'  # 9002-FSDG-preference-defaults.patch
              '07d6910ddd07f60b803957259e06e3babee6f072f48c6fe31b906a1ea24e3b62'  # 9003-FSDG-urihandlers.patch
-             '75c437e73c4a8007251581c957d3d36b85ba77270a72411ff5185a201cfeac6f'  # 9004-FSDG-misc.patch
+             'f999ddb5a2cde87217bb5b0ebf20b4e0aabe88657a73545c9487cddde1deab22'  # 9004-FSDG-misc.patch
              '00cb44a91b42942f17258ad165810866ff123777b667a5691ea0745ba72f4332'  # process-json-files.py
              '86bd54db6026ff65bd24ac4f05d0679a645ff447e2f81b0ee44037c0c4285e06'  # vendor.js.in
-             'aa663d899e924f4979114584cad671dad3b93dd9b0dfe28bb1cf11ddf92e6d47') # zstandard-0.21.0.diff
+             '3803336b109ab3663d227d6d16f712c33f5c55712028ee74e6e82f2ef74bf55f') # zstandard-0.22.0.diff
 sha256sums_i686=('62fa060e09b95e92fa81f4ac47c06b03d70c2bbc6cda061d85e965a82730e1c0'  # avoid-libxul-OOM-python-check.patch
                  'b25d9fb901afc5447bcd87416741f705eb7188502e10097387d5b0c86417fd01'  # rust-static-disable-network-test-on-static-libraries.patch
                  'ed3bb281697af7c4353a34067ffb4b18a971d40757bef2d6af3c8bf2d28d42d1'  # firefox-111.0.1-fdlibm.patch
                  '2fb39374fd3d80eea9e346032a2a4b2bc2e357dee7380855b24bcf19b1335d06'  # fix-i686-build-moz-1792159.patch
                  'c3ce181fbb0142055aa6dd17f3cda2ba6a1e54d7a689a8c6e9cce76aa40e6544') # fix-i686-xsimd-incomplete.patch
-b2sums=('b5a2ceadf05692d482dc8114634902d33c32c908e60394bf2e6b38afd8d83830d40c83afec28f7257e269595196140c0a8a1f345232f29c649a202d51ca39c68'
+b2sums=('06f11d9d6f705c13c3288f1757d68c7c910e258b3efa643f0f0168fba0d585f758082af3905c951e227894df0c092965663f52196ee1fc3477195748e0049767'
         'SKIP'
         'f86353bbba05d8994db34c6abb66094aa61d2c37c8599930dbe9d215413f0f718a1ce55a8f2d07a65074c3947e28fc80d44c925bd9be239a870f82d2a1803635') # $pkgname.desktop
                                                                                                                                             # identity-icons-brand.svg
-b2sums+=('8946e6e2dbfca390d69d79d409f8c4dbf74522c96a038a79659869f697ba3aafc0289e4ebc5ba21508cc2ef070d2859cee07b1b8052991d4c17ed992fef8bed1'  # *.branding.tar.xz
+b2sums+=('026f09cddb198badbf6ae67dda21ac9f99cfa80cfa490732b7b3c52eb43cfc83c3ae163506bdad657beaa368c3eba17dd154fdb1c8c40ab2d4f7934004982aa8'  # *.branding.tar.xz
          'SKIP'
-         'cc79ed221206fcc4ec63f4d5e2e430a2993904077a5074d9bfa193911401199d5d8df01c392fdab0adfdce4085938855ab3098556630cc6fd377d5cf97d00b25'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
-         '2d2174819ec281314a5c736c05e647c8ba270670e92fc9a4c17496a2ac45da4514095ae57db05253cf48513e42d58eda87b28c9c62c119d5a4788fcaab01d213'  # 9002-FSDG-preference-defaults.patch
+         '9834f69d69f9ce3cee872a7e75b6848d5539b94752aa50c74612177a740319a33b02734f1d2cdde31ee50efa7a3ed85cf85efb7e6687cfe6ab7be843b4089e7b'  # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+         '702f3179595ce27660e9761811369158a8102c94e77ccb28d3a58026641b055e53f9ec45a1272346eada54021d02956360e1267728fbec201c50fee42c7d677f'  # 9002-FSDG-preference-defaults.patch
          'dbb0f9639cbe08bf423faf9e2966b5464a26ab5c6314eea18be0e89edd8ac465bfa04a219821852bdd0801dfed9092999bcca1a982a631035bae9a51408d8dde'  # 9003-FSDG-urihandlers.patch
-         '878b4aa544b65dac165e329e3cbcb88d4ee8cdc41a5c47a9e1bc332c3f52912fd73836072e60da907c825a062695d34478d52886aa05a76915852e6dbd892e91'  # 9004-FSDG-misc.patch
+         '7d7c9a67ef8035f85482b37d0b7b7743f005d5e7f48d1865f21745ebd10053ed8a6c15e1e176f42d5ef738e7bb074bdad8e912983ca4614a2aab50b95824a4a6'  # 9004-FSDG-misc.patch
          '085c4631ec8cfdf5842068d882185c783e976b1fde74167bb71ef4d7db8c70c12844177b17e76f858ba3ce2a402848ac8fc19910dcbefd29887abfaf5faac5e4'  # process-json-files.py
          'f3f344196d03499f3f0392d5dfc5310e131d8c85772edd340faf1df3f04ebf2931eb1dda1b7fe6870d61d498618f4d8ae9f1dd446acbe83e0ce324e04b38f3f9'  # vendor.js.in
-         '2e568bb28f23f0f9225ca68a5084e3e835f6bd15046eea9d615d3462146da649c1b6b7439b4d768759bda2658d54ca73c9b3479e5e0b6d7a58822664dbe45aa2') # zstandard-0.21.0.diff
+         '6176a2e4b7a651b50b1ca2d6c8b62b1fd7557cacff50f38cb87f126590d9a2ac8d9b249c1671be0551cc81ce9a028a22e9b29ac121e480dab61cd7c10b891d50') # zstandard-0.22.0.diff
 b2sums_i686=('684559d207d33e8b83c70d79ddb8b4d7532f2440895668245856553e02b6c786cf0de776981cdcce2438c7add2d692f4afbc85255949558852bdec9800c59882'  # avoid-libxul-OOM-python-check.patch
              '32c60a9259f9ab6b950c0a3af81e4c36c14160860d3b9da70aa3fbc3676e5fd2b2705b02d7e6b6ac49f9510577de89ab2334abe3b0a126e3d70e65ac42ba62c9'  # rust-static-disable-network-test-on-static-libraries.patch
              '05c7c9727201971650df4ca2e00539767fc9e159539835c641fccab5ec9577a7294e8f62f5d0670158316e5467ea121c03a36fd4ba153e1d60f3402f0430548d'  # firefox-111.0.1-fdlibm.patch
@@ -266,9 +266,6 @@ armv7h)
 
   depends+=( libicudata.so libicui18n.so libicuuc.so ) # --with-system-icu
 
-  # zstandard<=0.21.0,>=0.11.1: Installed with unexpected version "0.22.0"
-  makedepends=( ${makedepends[*]/python-zstandard/python-zstandard<=0.21.0} ) # archived
-
   # warning: obj/dist/system_wrappers/cmath:3:15: fatal error: 'cmath' file not found
   (( _USE_ALT_COMPILER )) || makedepends=( ${makedepends[*]/llvm/llvm15} llvm15-libs )
   # still FTBS
@@ -281,10 +278,6 @@ i686)
   #       and ... nss>=3.94 is required; but it FTBS
   # still FTBS
   ;;
-x86_64)
-  # zstandard<=0.21.0,>=0.11.1: Installed with unexpected version "0.22.0"
-  makedepends=( ${makedepends[*]/python-zstandard/python-zstandard<=0.21.0} ) # archived
-  ;;
 esac
 
 
@@ -367,12 +360,11 @@ prepare() {
   mkdir mozbuild
   cd firefox-$pkgver
 
-
   ## technical patching ##
 
-  # Unbreak build with python-zstandard 0.21.0
-  echo "applying zstandard-0.21.0.diff"
-  patch -Np1 -i ../zstandard-0.21.0.diff
+  # Unbreak build with python-zstandard 0.22.0
+  echo "applying zstandard-0.22.0.diff"
+  patch -Np1 -i ../zstandard-0.22.0.diff
 
   # Use system python-typing-extensions instead of the old vendored one to avoid
   # unresolvable dependency versions. They are probably downloaded when network
